FROM docker.io/library/golang:1.16 AS build
ENV CGO=0

WORKDIR /app
COPY . .

RUN go get -u -v
RUN go build -v -o app.out

FROM docker.io/library/alpine:3.14 AS app
COPY --from=build /app/app.out /tree-db
LABEL author='sgt911 <sgt.911@outlook.com>'
LABEL project='io.everest-code.TreeDB'
LABEL description='Tree-DB Server service'

EXPOSE 9110
ENTRYPOINT /tree-db -D /data
